# LiveLike Android Code Challenge
Welcome to the LiveLike Android Code Challenge. 
The goal of this challenge is to create a Flickr search library **(not application)** that allows you to search or explore images by tags and display it in a gridview using [Flickr API](https://www.flickr.com/services/api/flickr.photos.search.html)

> Please follow instructions in the **Submission** section to correctly submit your project.

## Project
The Flickr search library will be responsible for the following:
1. Deliver results based on search query input
2. When no query passed in, result set should be empty
3. Return the recently published images on Flickr
4. A basic UI which will display a list of images from the result in a grid form
5. Local storage / Cache mechanism should be handled. 
   * ex. In the absence of connectivity/ network error, the result should be displayed from local storage
6. If search query is updated, the old result set should be updated with the new one
7. Should support options for pagination
8. Errors should be handled with logs

### Use-Case
- This library will be used by end users in their application for searching purposes
- An App can use this library to search Flickr and display the results using their own custom UI

### Hard Requirements
* The library can be used in a sample project without any compilation/build errors
* The code should not crash under normal usage
* The code must be written in Kotlin
* Must have Pagination support

### Extra Credit
* Unit Tests

## Submission
-   Create an account with **code.livelike.com**
-   Fork the repository into your local environment
-   Implement as much as you can, you have roughly 72 hours. There is no wrong or right answer.
-   To submit your project **you must submit it as a Pull Request**

